<?php

require_once ('../../../Clases/Producto.php');


$nombre_imagen=$_FILES['foto']['name']; 
$temporal = $_FILES['foto']['tmp_name'];
$uploadOk = 1;
$carpeta='../../../Imagenes';
$ruta=$nombre_imagen;

$imageFileType = strtolower(pathinfo($ruta,PATHINFO_EXTENSION));

if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
&& $imageFileType != "gif" ) {

  $uploadOk = 0;
  header("Location: ../../productos.php?m=1");
} else { 
move_uploaded_file($temporal, $carpeta.'/'. $nombre_imagen);


$cod = $_REQUEST['codigo'];
$nombre = $_REQUEST['nombre'];
$descripcion = $_REQUEST['descripcion'];
$imagen = $ruta;
$precioc = $_REQUEST['precioc'];
$preciov = $_REQUEST['preciov'];
$categoria = $_REQUEST['Categoria'];
$proveedor =$_REQUEST['Proveedor'];

$editar = new productos ();
echo $editar->updatepro($cod,$nombre,$descripcion,$imagen,$precioc,$preciov,$categoria,$proveedor);
header("Location: ../../productos.php?m=3");

}
?>